/*
 * AQM0802A-RN-GBW LCD control
 */ 


#ifndef LCD_H_
#define LCD_H_

#include <avr/io.h>

void LCD_init(void);

void LCD_cls(void);

void LCD_locate(uint8_t x, uint8_t y);

void LCD_putchar(char c);

void LCD_print(char str[], uint8_t len);

void LCD_printhex(uint32_t a, int8_t digits);

void LCD_printdec(uint32_t a, int8_t digits);

void LCD_printAll(char str[]);

// for debug
void LCD_marker(char *str);
void LCD_markerL(char *str);

#endif /* LCD_H */